Support » Plugin: ChatBot ๐Ÿš€ » What is the preferred version of Database needed to run this

  • Resolved janareddy

    (@janareddy)


    Your server’s MySQL version is **5.5**. MySQL version 5.6+ is required for Simple Text Responses to work. Please contact your hosting support to upgrade the MySQL to the latest version.

    I have getting this alert, but unfortunately we re running WordPress website on Pantheon Hosting provider that runs on Maria DB.

    what is the preferred version we need to use on this.

    currently we are on
    database:
    version: 10.6

Viewing 15 replies - 1 through 15 (of 15 total)
  • Plugin Author QuantumCloud

    (@quantumcloud)

    Maria DB 10.6 should work well. No worries.
    Let us know if you are facing any problem with that.

    Thank you

    Thread Starter janareddy

    (@janareddy)

    Yes, i have updated to Maria DB 10.6

    but i am seeing the same warning on the dashboard.

    Your serverโ€™s MySQL version is **5.5**. MySQL version 5.6+ is required for Simple Text Responses to work. Please contact your hosting support to upgrade the MySQL to the latest version.

    Plugin Author QuantumCloud

    (@quantumcloud)

    It is probably just not recognizing the Maria DB as the code was written to check the Mysql version. The version is important only for Simple Text Responses. Try creating some text responses and then search with the relevant keywords on the front end. If it works then, no problem.

    Thanks

    Thread Starter janareddy

    (@janareddy)

    Hi,

    Thanks for quick response, i will check this.

    Thread Starter janareddy

    (@janareddy)

    Hi,

    as suggested i am trying to add the Simple Text Responses. data not saving i am getting the alert like.

    NB: Simple Text Responses require mySQL Client version 5.6+

    Thread Starter janareddy

    (@janareddy)

    we are using Maria DB 10.6 this is a fork of Mysql 5.6+

    I hope we need to test this plugin on Maria DB

    • This reply was modified 3 months, 2 weeks ago by janareddy.
    Plugin Author QuantumCloud

    (@quantumcloud)

    We are checking with Maria DB. We have not tested with this before. I will let you know soon.

    Thank you

    Plugin Author QuantumCloud

    (@quantumcloud)

    Hi,

    We released a new version. Can you please upgrade and test now?

    Thanks

    Thread Starter janareddy

    (@janareddy)

    Hi,

    thanks for quick reply.

    still we are not able to add Simple Text Responses

    The error Your server’s MySQL version is **5.5**. MySQL version 5.6+ is required for Simple Text Responses to work. remains exist on dashboard

    below are the DB version we have.

    `MariaDB [pantheon]> SELECT @@version;
    +——————–+
    | @@version |
    +——————–+
    | 10.6.8-MariaDB-log |
    +——————–+
    1 row in set (0.325 sec)

    MariaDB [pantheon]>

    Plugin Author QuantumCloud

    (@quantumcloud)

    Can you try actually creating and saving an STR?

    Thanks

    Thread Starter janareddy

    (@janareddy)

    Yes, i have tried to add STR.

    after click on save Settings button the page getting reloaded and nothing is displayed in the list.

    FYI please check attachments

    128-n

    288

    • This reply was modified 3 months, 2 weeks ago by janareddy.
    • This reply was modified 3 months, 2 weeks ago by janareddy.
    Plugin Author QuantumCloud

    (@quantumcloud)

    Thanks for the details. We are checking again.

    Plugin Author QuantumCloud

    (@quantumcloud)

    Hi,

    We have been trying to duplicate the issue on our end for last few days but are unable to do so. We checked with fresh WP installation and MariaDB. Creating and saving STRs are working fine with mariadb.

    Can you please check your PHP error log and share any pertinent details you find there?

    If you want to collaborate more closely, you can email us at quantumcloud@gmail.com

    Thank you

    Thread Starter janareddy

    (@janareddy)

    Thanks for update.

    I will try to find and send you the Error log.

    FYI i am checking on WordPress Multisite Environment.

    Hope you have tested the same on Multisite Environment

    Plugin Author QuantumCloud

    (@quantumcloud)

    Hi,

    Let us know if you found anything in the error log. We tested in multisite but did not find any issue. Closing the thread for now. But feel free to post any time.

    Thank you

Viewing 15 replies - 1 through 15 (of 15 total)
  • You must be logged in to reply to this topic.